Aadhaar-PAN Linking Status

By calling a single API, verify the linking status between Aadhaar and PAN effortlessly with Instantpay's Aadhaar-PAN Linking Status API solution. This feature aids businesses in ensuring compliance and authenticity while reducing manual efforts and providing a quick and reliable means to confirm the linkage status between an individual's Aadhaar and PAN details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
panStringMandatoryPAN number of User
aadharNumberStringMandatoryEncrypted Aadhar Number with algorithm aes-256-cbc
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentEnum (Y/N)MandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/ckyc' \
--header 'X-Ipay-Auth-Code: 2' \
--header 'X-Ipay-Client-Id: wiDLYLyGQc+21HPiah76S/HiAhx8pc2Hmkc9sXb7RDM=' \
--header 'X-Ipay-Client-Secret: a3d33c38bae71eca82bed090a1d0a757280563a2ed732521d20b8b78e2486190' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234' \
--header 'X-Ipay-Request-Timestamp: 1659943695791' \
--header 'X-Ipay-Hash-Check: OFF' \
--header 'User-Agent: InstantPayAPITest/1.0.0' \
--header 'Content-Type: application/json' \
--data '{
    "aadhaarNumber": " d818RUdRgpNK8LFtFcMI02nRIvRoaL5klCpx+KwFON8=",
    "pan": "AAOCS6028B",
    "latitude": "27.897394",
    "longitude": "78.088013",
    "externalRef": "233",
    "consent": "Y"
}'
GET /identity/aadhaarPanStatus HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
Content-Length: 209

{
    "aadhaarNumber": " d818RUdRgpNK8LFtFcMI02nRIvRoaL5klCpx+KwFON8=",
    "pan": "AAOCS6028B",
    "latitude": "27.897394",
    "longitude": "78.088013",
    "externalRef": "233",
    "consent": "Y"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "poolReferenceId": "1230717111927TMBZR",
        "pool": {
            "openingBal": "96176.11",
            "amount": "1.18",
            "closingBal": "96174.93"
        },
        "linkingStatus": "LINKED",
        "linkingDescription": "Your PAN AAXXXXXX8B is already linked to given Aadhaar 72XXXXXXXX63"
    },
    "timestamp": "2023-07-17 11:19:27",
    "ipay_uuid": "h00099aa6fa7-83ab-43fe-934e-28789ae0cae9",
    "orderid": "1230717111927TMBZR",
    "environment": "SANDBOX",
    "internalCode": null
}
📘

Consent Text :

I hereby give my consent and submit voluntarily at my own discretion, my Aadhaar Number or VID for the
purpose of establishing my identity on the portal. The Aadhaar submitted herewith shall not be used for
any purpose other than mentioned, or as per the requirements of the law.

Body Params
string

PAN number of End User

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

string
string

Encrypted Aadhar Number with algorithm aes-256-cbc

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json